
D4Science Infrastructure - VM Creation #8567

New VM to host the EFG D-Net service

May 12, 2017 05:55 PM - Sandro La Bruzzo

Status: Closed Start date: May 12, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: UnSprintable   

Infrastructure: Development, Production Applications list and

version:

 

RAM: 4 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 50 Smartgears auth

connector:

 

Smartgears: No data transfer

enabled:

No

Smartgears Version:  PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes:    

Description

We need a new VM for moving the DNet instance of EFG

the resources should be the same as node 0-d-efg

With one instance of DNet

8280 (Aggregator - application context: efg)

This VM should interact with:

mongoDB server on node5.t.openaire.research-infrastructures.eu

solr on node0-d-efg

solr on solr0-p-efg

After migration, we can dismiss the dnet instance on node0-d-efg

History

#1 - Jun 30, 2017 11:49 AM - Andrea Dell'Amico

- Tracker changed from Bug to VM Creation

- Project changed from 19 to D4Science Infrastructure

- Subject changed from VM Creation EFG to New VM to host the EFG D-Net service

- Target version changed from Unsprintable to UnSprintable

- RAM set to 4

- CPU set to 2

- DiskSpace set to 50

- Smartgears set to No

- data transfer enabled set to No

- PostgreSQL database set to Yes

- Number of VMs set to 1

- Infrastructure Development, Production added

#2 - Jul 04, 2017 05:40 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 20

hostname and IP address: dnet-prod.efg.d4science.org 146.48.122.128

#3 - Jul 04, 2017 08:01 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

The VM is ready. There's a reverse proxy before tomcat, and it expects an app called efg.

The service is reachable from our networks only right now.

There are two users: sandro.labruzzo and miriam.baglioni. Both have the permissions to write under /var/lib/tomcat_dnet/8280/webapps/ and to

start/stop the container.

A /var/lib/dnet directory has been created, the dnet user can write inside it.

#4 - Nov 20, 2017 03:50 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

Powered by TCPDF (www.tcpdf.org)

Aug 02, 2025 2/2

http://www.tcpdf.org

